val.hpp File Reference

Go to the source code of this file.

## Classes

class | Gecode::Int::Channel::ValInfo< View >
| Combine view with information for value propagation. More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Int
| Finite domain integers.
namespace | Gecode::Int::Channel
| Channel propagators

## Functions

template<class View, class Offset, class Info>
ExecStatus | Gecode::Int::Channel::doprop_val (Space &home, int n, Info *x, Offset &ox, Info *y, Offset &oy, int &n_na, ProcessStack &xa, ProcessStack &ya)
template<class View, class Offset, class Info>
ExecStatus | Gecode::Int::Channel::prop_val (Space &home, int n, Info *x, Offset &ox, Info *y, Offset &oy, int &n_na, ProcessStack &xa, ProcessStack &ya)